>> help roots

 ROOTS	Find polynomial roots.
 	ROOTS(C) computes the roots of the polynomial whose coefficients
 	are the elements of the vector C. If C has N+1 components,
 	the polynomial is C(1)*X^N + ... + C(N)*X + C(N+1).
 
 	See also POLY.

>> help denb

denb not found.

>> [z,p,k]=butterap(4,1.5);
>> help zp2tf

 ZP2TF	Zero-pole to transfer function conversion.
 	[NUM,DEN] = ZP2TF(Z,P,K)  forms the transfer function:
 
 	                NUM(s)
 	        H(s) = -------- 
 	                DEN(s)
 
 	given a set of zero locations in vector Z, a set of pole locations
 	in vector P, and a gain in scalar K.  Vectors NUM and DEN are 
 	returned with numerator and denominator coefficients in descending
 	powers of s.  
 
 	See also: TF2ZP.

>> [numb,denb]=zp2tf(z,p,k);
>> roots(denb);
>> 
>> 
>> ;
>> help roots

 ROOTS	Find polynomial roots.
 	ROOTS(C) computes the roots of the polynomial whose coefficients
 	are the elements of the vector C. If C has N+1 components,
 	the polynomial is C(1)*X^N + ... + C(N)*X + C(N+1).
 
 	See also POLY.

>> roots(denb);
>> w=linspace(0,3,301);
>> Hb=freqs(numb,denb,w);
>> plot(w,abs(Hb));
>> roots(denb);
>> roots(numb);
>> roots(1);
>> roots(linspace(0,2));
>> 
>> plot(roots(denb));
>> help polar

 POLAR	Polar coordinate plot.
 	POLAR(THETA, RHO) makes a plot using polar coordinates of
 	the angle THETA, in radians, versus the radius RHO.
 	POLAR(THETA,RHO,S) uses the linestyle specified in string S.
 	See PLOT for a description of legal linestyles.
 
 	See also PLOT, LOGLOG, SEMILOGX, SEMILOGY.

>> roots(denb)

ans =

  -0.4275 + 1.0320i
  -0.4275 - 1.0320i
  -1.0320 + 0.4275i
  -1.0320 - 0.4275i

>> pzmap(numb,denb);
>> axis('square');
>> plot([-1.5,1.5],[0,0],':');
>> pzmap(numb,denb);
>> 
>> hold on;
>> plot([-1.5,1.5],[0,0],':');
>> hold off;
>> axis('square');
>>  printsys(numb,numc,'s');
??? Undefined function or variable numc.

>>  printsys(numb,numc,'s')
??? Undefined function or variable numc.

>>  printsys(numb,denb,'s')
 
num/den = 
 
                       1.557
   --------------------------------------------
   s^4 + 2.919 s^3 + 4.26 s^2 + 3.642 s + 1.557
>> [zc,pc,kc]=chep1ap(4,1.5);
??? [zc,pc,kc]=chep1ap
               |
Undefined function or improper matrix assignment.

>> [zc,pc,kc]=cheb1ap(4,1.5);
>> [numc,denc]=zp2tf(zc,pc,kc);
>> Hc=freqs(numc,denc,w);
>> plot(w,abs(Hc));
>> Aminc=abs(Hc(201))

Aminc =

    0.0160

>> [numhp,denhp]=rat_comp(numc,denc,[2*pi*15000],[1,0])

numhp =

    0.8414         0         0         0         0


denhp =

   1.0e+20 *

    0.0000    0.0000    0.0000    0.0000    3.4112

>> printsys(numhp,denhp,'s')
 
num/den = 
 
                             0.8414 s^4
   -------------------------------------------------------------
   s^4 + 2.464e+05 s^3 + 5.111e+10 s^2 + 2.944e+15 s + 3.411e+20
>> roots(numhp);
>> roots(numhp)

ans =

     0
     0
     0
     0

>> roots(denhp)

ans =

   1.0e+05 *

  -1.1139 + 1.5522i
  -1.1139 - 1.5522i
  -0.1181 + 0.9595i
  -0.1181 - 0.9595i

>> printsys(numhp,denhp,'s')
 
num/den = 
 
                             0.8414 s^4
   -------------------------------------------------------------
   s^4 + 2.464e+05 s^3 + 5.111e+10 s^2 + 2.944e+15 s + 3.411e+20
>> w=linspace(0,30000,501);
>> [hhp,w]=freqs(numhp,denhp,w);
>> plot(w,abs(hhp));
>> axis([0,30000,0,1.1];
??? is([0,30000,0,1.1];
                      |
Improper function reference. A "," or ")" is expected.

>> axis([0,30000,0,1.1]);
>> grid;
>> [numhp,denhp]=rat_comp(numc,denc,[2*pi*1500],[1,0])

numhp =

    0.8414         0         0         0         0


denhp =

   1.0e+16 *

    0.0000    0.0000    0.0000    0.0003    3.4112

>> printsys(numhp,denhp,'s')
 
num/den = 
 
                             0.8414 s^4
   -------------------------------------------------------------
   s^4 + 2.464e+04 s^3 + 5.111e+08 s^2 + 2.944e+12 s + 3.411e+16
>> plot(w,abs(hhp));
>> axis([0,30000,0,1.1]);
>> [hhp,w]=freqs(numhp,denhp,w);
>> plot(w,abs(hhp));
>> axis([0,30000,0,1.1]);
>> xlabel('w');
>> ylabel('|H(jw)|');
>> title('5.4,b');
>> print -Psavion
>> save ps5.done
>> sqrt(0.8414);
>> sqrt(0.8414)

ans =

    0.9173

>> sqrt(s^4 + 2.464e+04 s^3 + 5.111e+08 s^2 + 2.944e+12 s + 3.411e+16)
??? t(s^4 + 2.464e+04 s
                      |
Improper function reference. A "," or ")" is expected.

>> 
>> 
>> 
>> 
>> z = [1 2.464e+04 5.111e+08 2.944e+12 3.411e+16]

z =

   1.0e+16 *

    0.0000    0.0000    0.0000    0.0003    3.4110

>> sqrt(z);
>> sqrt(z)

ans =

   1.0e+08 *

    0.0000    0.0000    0.0002    0.0172    1.8469

>> roots(z)

ans =

   1.0e+04 *

  -1.1139 + 1.5523i
  -1.1139 - 1.5523i
  -0.1181 + 0.9594i
  -0.1181 - 0.9594i

>> (-1.1139 + 1.5523i)*(-1.1139 - 1.5523i)

ans =

    3.6504

>> quit;

 9792939 flops.

